For the complete documentation index, see llms.txt. This page is also available as Markdown.

List printers for store

List printers for store

get
/tenants/{tenantUid}/stores/{storeUid}/printers
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageSizeintegerOptional

The number of items per page in a result set.

pageNumberintegerOptional

Reference to a specific page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring Ā· enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
Responses
200

Example response

application/json
get/tenants/{tenantUid}/stores/{storeUid}/printers
GET /v2/tenants/{tenantUid}/stores/{storeUid}/printers HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "store": {
        "name": "text",
        "storeUid": "text",
        "organizationUid": "text",
        "organizationName": "text"
      },
      "printer": {
        "printerUid": "text",
        "name": "text",
        "type": "LABEL",
        "availablePrintActions": [
          "RECEIPT"
        ]
      },
      "eventType": "PICKUP_LABEL",
      "storePrinterUid": "text"
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Last updated

Was this helpful?